Lintian::Changelog(3)

NAME
Lintian::Changelog -- Parse a literal version string into its constituents

SYNOPSIS
 use Lintian::Changelog;

 my $version = Lintian::Changelog->new;
 $version->set('1.2.3-4', undef);

DESCRIPTION
A class for parsing literal version strings

CLASS METHODS

new ()
    Creates a new Lintian::Changelog object.

find_closes
    Takes one string as argument and finds "Closes: #123456, #654321" statements as supported by the Debian Archive software in it. Returns all closed bug numbers in an array reference.

INSTANCE METHODS

parse (STRING)
    Parses STRING as the content of a debian/changelog file.

errors
entries

AUTHOR
Originally written by Felix Lechner <felix.lechner@lease-up.com> for Lintian.

SEE ALSO
lintian(1)